﻿--Creates the options menu
_G.MixClassicMenu = _G.MixClassicMenu or {}
MixClassicMenu._path = ModPath
MixClassicMenu._data_path = ModPath .. "menu/settings.json"
MixClassicMenu._data = {}

function MixClassicMenu:Save()
	local file = io.open( self._data_path, "w+" )
	if file then
		file:write( json.encode( self._data ) )
		file:close()
	end
end

function MixClassicMenu:Load()
	local file = io.open( self._data_path, "r" )
	if file then
		self._data = json.decode( file:read("*all") )
		file:close()
	end
    if not MixClassicMenu._data.zeal_marksman then MixClassicMenu._data.zeal_marksman = false end
end

Hooks:Add("LocalizationManagerPostInit", "MSC_localize_menu", function(loc)
	loc:load_localization_file(MixClassicMenu._path .. "menu/english.json")
end)

Hooks:Add("MenuManagerInitialize", "MSC_init_menu", function(menu_manager)
	MenuCallbackHandler.msc_zeal_marksman_callback = function(self, item)
		MixClassicMenu._data.zeal_marksman = (item:value() == "on" and true or false)
		MixClassicMenu:Save()
	end

	MixClassicMenu:Load()

	MenuHelper:LoadFromJsonFile(MixClassicMenu._path .. "menu/menu.json", MixClassicMenu, MixClassicMenu._data)
end)